package cn.com.poc.law.entity.legislativeDocument;

import cn.com.poc.law.jsonSerializer.JacksonStringNotNullSerializer;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;

/**
 * @Author：Roger Wu
 * @name：ConflictInfo
 * @Date：2025-08-12 18:52
 */
public class ConflictInfo {
    @JsonSerialize(using= JacksonStringNotNullSerializer.class)
    String partyCategory;

    @JsonSerialize(using= JacksonStringNotNullSerializer.class)
    String entityType;

    @JsonSerialize(using= JacksonStringNotNullSerializer.class)
    String nameCn;

    @JsonSerialize(using= JacksonStringNotNullSerializer.class)
    String contactPerson;

    @JsonSerialize(using= JacksonStringNotNullSerializer.class)
    String idCardNumber;

    @JsonSerialize(using= JacksonStringNotNullSerializer.class)
    String phone;

    public String getPartyCategory() {
        return partyCategory;
    }

    public void setPartyCategory(String partyCategory) {
        this.partyCategory = partyCategory;
    }

    public String getEntityType() {
        return entityType;
    }

    public void setEntityType(String entityType) {
        this.entityType = entityType;
    }

    public String getNameCn() {
        return nameCn;
    }

    public void setNameCn(String nameCn) {
        this.nameCn = nameCn;
    }

    public String getContactPerson() {
        return contactPerson;
    }

    public void setContactPerson(String contactPerson) {
        this.contactPerson = contactPerson;
    }

    public String getIdCardNumber() {
        return idCardNumber;
    }

    public void setIdCardNumber(String idCardNumber) {
        this.idCardNumber = idCardNumber;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }
}
